<?php
defined('_JEXEC') or die;

/* =====================================================================
Template:	Xero - Base theme for the Zen Grid Framework v4.
Author: 	Anthony Olsen Joomlabamboo
Version: 	1.0
Created: 	August 2013
Copyright:	Anthony Olsen - (C) 2013 - All rights reserved
/* ===================================================================== */

// Because banner might be position beneath sidebar lets calculate how much to shift it across by
$main_layout = $this->layout->main->positions;
$main = $this->getMainLayout($this->layout->main->positions);
	
	$rendered_layout = $main[1];
	$sidebar1 = $main[2];
	$sidebar2 = $main[3];
	
	$offset = "";
	
	if($rendered_layout =="lrm" || $rendered_layout =="rm" || $rendered_layout =="lm") {	
		
		// Set the value for the layout
		if ($sidebar1 && !$sidebar2) {
			$offset = 'zen-pad-push-' . ($main_layout->sidebar1);
		} elseif (!$sidebar1 && $sidebar2) {
			$offset = 'zen-pad-push-' . ($main_layout->sidebar2);
		} 
	}
?>

<?php if($this->checkSpotlight('banner')) {?>
	<section id="bannerwrap" class="clearfix <?php echo $this->rowClass('banner');?>">
		<div class="zen-container">
			<div class="<?php echo $offset;?>">
				<a id="banner-link" name="banner-link"></a>
				<?php $this->getModules('banner');?>
			</div>
		</div>
	</section>
<?php }?>

<?php 
if($this->params->bannerimages !=="none" && $this->params->enable_slideshow) {
	$path = ltrim($this->params->bannerimages, '/');
	$files = JFolder::files(JPATH_ROOT.'/'.$path);
	$exclude = array('index.html','.','..','.DS_Store');
	
	if(is_array($files)) {
		$files = array_diff($files, $exclude);

	?>
	<script>
	
		jQuery(document).ready(function($) {
			$('#image-wrapper').backstretch([
			    <?php 
			    foreach ($files as $image) {
			    echo '"';
			    echo JURI::base().$path.'/'.$image;
			    echo '",';
			    } ?>
			], {duration: <?php echo $this->params->slideshowduration;?>, fade: <?php echo $this->params->transitionspeed;?>,lazyload: true});
			
		});
	</script>
<?php } 

}
?>