<?php
/**
 * @package		Zen Grid Framework v4, 1.3.2
 * @subpackage	Updated: June 04 2015
 * @author		Joomlabamboo http://www.joomlabamboo.com
 * @copyright 	Copyright (C) Joomlabamboo, June 04 2015
 * @license		http://www.gnu.org/licenses/gpl.html GNU General Public License version 2 or later;
 * @version		1.3.2
 */
 
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

$jinput = JFactory::getApplication()->input;
$admin = $jinput->get('admin');

if($admin) {
	
	// Define template name
	if (!defined('TEMPLATE')) {
		define( 'TEMPLATE', basename(dirname(dirname(dirname(__FILE__)))));
	}
	
	jimport('joomla.filesystem.folder');
	jimport('joomla.filesystem.file');
	
	// Get folder name
	$folder = $jinput->get('folder','','RAW');
	$width = $jinput->get('width');
	$height = $jinput->get('height');
	
	$thumb_folder = $folder . '/thumbs/';
	$images = JFolder::files(JPATH_ROOT .'/' . $folder);

	include(TEMPLATE_PATH .'zengrid/libs/resize/imageresize.php');
	
	foreach ($images as $key => $image) {
		$image = $folder.'/'.$image;
		
		$thumb = ZenToolsResizeImageHelper::getResizedImage($image, ($width), ($height), 'crop', $thumb_folder);
	}
	
} else {
	header("Location: ".JUri::base());
	die();
}